using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
using System.Reflection;

namespace CPIDR
{
  partial class AboutBox1 : Form
  {
    public AboutBox1()
    {
      InitializeComponent();

      // Get some information and display it
      System.Version v = System.Reflection.Assembly.GetExecutingAssembly().GetName().Version;

      // v.Build is days since Jan. 1, 2000
      // v.Revision*2 is seconds since local midnight
      // (NEVER daylight saving time)

      DateTime t = new DateTime(v.Build * TimeSpan.TicksPerDay +
                                  v.Revision * TimeSpan.TicksPerSecond * 2
                                ).AddYears(1999);

      textBox1.Text = 
        "CPIDR 3  -  " +
        "Computerized Propositional Idea Density Rater\r\n\r\n" +
        "Cati Brown, Tony Snodgrass, Michael A. Covington\r\n\r\n"+
        "CASPR Project\r\n" +
        "Artificial Intelligence Center\r\n" +
        "The University of Georgia\r\n"+
        "http://www.ai.uga.edu/caspr\r\n\r\n" +
        "Version " + v.ToString() + " compiled " + t.ToString() + " EST\r\n\r\n" +
        "Copyright 2007 University of Georgia Research Foundation, Inc.\r\n" +
        "Distributed as open-source freeware under GPL; see LICENSE.TXT.\r\n\r\n" +
        "CPIDR incorporates components from:\r\n\r\n" +
        "Liu, Hugo (2004) MontyLingua: An end-to-end natural language processor " +
        "with common sense.  http://web.media.mit.edu/~hugo/montylingua\r\n\r\n" +
        "Frijters, Jeroen (2004) IKVM, an implementation of Java for Mono and " +
        "the .NET Framework.  http://www.ikvm.net (and SourceForge).";

    }

    public AboutBox1(string Message) : this()  // for using the About Box as a pop-up splash screen
    {
      this.ControlBox = false;
      buttonOk.Visible = false;
      textBox2.Visible = true;
      textBox2.Text = Message;
    }

    private void buttonOk_Click(object sender, EventArgs e)
    {
      this.Close();
    }

  }
}
